var e = document.getElementById("vfeed");
var f = new net.core("http://caramel-colour.csclub.uwaterloo.ca:8080/singleframe", "rvf");
function callvfeed() {
  f.connect("http://caramel-colour.csclub.uwaterloo.ca:8080/singleframe");
  e.innerHTML = "<div class=\"vfeedmon\">"
  	+ "<div id=\"rvf\">Connecting...</div>"
	+ "<h2>Visual Feed from the Office</h2>";
	+ "<div class=\"vfeed-cmds\">Feed 1 | Feed 2 | "
	+ "<a href=\"#\" onclick=\"stopvfeed()\">X</div>";
  	+ "</div>";
}

function stopvfeed() {
  e.innerHTML = "";
}

document.getElementById("extracmds").innerHTML = "<a href=\"#\" onclick=\"callvfeed()\">Visual Feed</a>";
